MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025710Open CASCADE[OCCT] OCCT:Visualizationpublic2015-01-15 17:352015-05-14 15:31
Reporterdbp 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025710: Visualization - Eliminate all calls of glPushAttrib/glPopAttrib in TKOpenGl
DescriptionTo achieve compatibility with OpenGL ES it is necessary to eliminate all invocations of glPushAttrib/glPopAttrib. It is proposed to use state-less logic by setting all necessary parameters before drawing specific primitive (or other operation).
Steps To ReproduceDear kgv,

please review the patch in branch CR25710_1.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0023484closedbugmaster Visualization, TKOpenGl - primitive arrays to become the only way to render geometry 

-  Notes
(0036169)
git (administrator)
2015-01-16 19:29

Branch CR25710 has been created by dbp.

SHA-1: a958d738973691f3949352ba7b85c8e562114a27


Detailed log of new commits:

Author: dbp
Date: Fri Jan 16 19:29:31 2015 +0300

    0025710: Visaulization - Eliminate all calls of glPushAttrib/glPopAttrib in TKOpenGl
(0036170)
dbp (developer)
2015-01-16 19:30

Dear kgv,

please review the patch in branch CR25710.
(0038692)
git (administrator)
2015-03-19 16:01

Branch CR25710_1 has been created by dbp.

SHA-1: 92fb8f51cef1c157338735002d0cb1e0c3344c3e


Detailed log of new commits:

Author: dbp
Date: Thu Mar 19 16:00:48 2015 +0300

    0025710: Visualization - Eliminate all calls of glPushAttrib/glPopAttrib in TKOpenGl
(0038699)
git (administrator)
2015-03-19 17:08

Branch CR25710_1 has been updated by dbp.

SHA-1: 7978bc93ac5896a4820a9e49f4a5bfc68c4ba470


Detailed log of new commits:

Author: dbp
Date: Thu Mar 19 17:08:30 2015 +0300

    Fix issue with OpenGl_Text.

(0038700)
kgv (developer)
2015-03-19 17:49

Please test the patch.
(0038750)
git (administrator)
2015-03-20 16:09

Branch CR25710_1 has been updated forcibly by apv.

SHA-1: da294d7409a7eb9c008371579098052b1863df33
(0038752)
apv (tester)
2015-03-20 16:10

Branch CR25710_1 has been rebased on the current master
(0038785)
git (administrator)
2015-03-23 12:44

Branch CR25710_2 has been created by inv.

SHA-1: da294d7409a7eb9c008371579098052b1863df33


No new revisions were added by this update.
(0038792)
apv (tester)
2015-03-23 15:39

Dear BugMaster,

Branch CR25710_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: da294d7409a7eb9c008371579098052b1863df33

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 4 (4 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 87432268 / 88552825 [-1.27%]
Total CPU difference: 54709.849999999904 / 53186.43000000024 [+2.86%]

Testing on Windows:
Total MEMORY difference: 56836787 / 56847647 [-0.02%]
Total CPU difference: 15897.42230589974 / 16072.67382929974 [-1.09%]
(0038811)
git (administrator)
2015-03-23 18:49

Branch CR25710_2 has been deleted by inv.

SHA-1: da294d7409a7eb9c008371579098052b1863df33
(0038830)
git (administrator)
2015-03-24 12:45

Branch CR25710_1 has been updated by kgv.

SHA-1: 03b9272a1c489b1559098bddcd52fce48dd653ff


Detailed log of new commits:

Author: kgv
Date: Tue Mar 24 12:45:48 2015 +0300

    fix compilation error on Android

(0038860)
git (administrator)
2015-03-24 20:30

Branch CR25710_3 has been created by kgv.

SHA-1: bfe31f783127a20a08701995f01af89b030f5a8c


Detailed log of new commits:

Author: dbp
Date: Tue Mar 24 20:30:05 2015 +0300

    0025710: Visualization - Eliminate all calls of glPushAttrib/glPopAttrib in TKOpenGl
(0039431)
git (administrator)
2015-04-09 09:39

Branch CR25710 has been deleted by kgv.

SHA-1: a958d738973691f3949352ba7b85c8e562114a27
(0039442)
git (administrator)
2015-04-09 09:48

Branch CR25710_1 has been deleted by kgv.

SHA-1: 03b9272a1c489b1559098bddcd52fce48dd653ff
(0039443)
git (administrator)
2015-04-09 09:48

Branch CR25710_3 has been deleted by kgv.

SHA-1: bfe31f783127a20a08701995f01af89b030f5a8c

- Related Changesets
occt: master b34efb62
Timestamp: 2015-03-24 17:30:05
Author: dbp
Committer: apn
Details ] Diff ]
0025710: Visualization - Eliminate all calls of glPushAttrib/glPopAttrib in TKOpenGl
mod - src/OpenGl/OpenGl_PrimitiveArray.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Text.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_2.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-01-15 17:35 dbp New Issue
2015-01-15 17:35 dbp Assigned To => dbp
2015-01-16 16:48 dbp Summary Visaulization - Implement custom stack to manage OpenGL attributes in OpenGL context => Visaulization - Eliminate all calls of glPushAttrib/glPopAttrib in TKOpenGl
2015-01-16 16:48 dbp Description Updated View Revisions
2015-01-16 19:29 git Note Added: 0036169
2015-01-16 19:30 dbp Note Added: 0036170
2015-01-16 19:30 dbp Assigned To dbp => kgv
2015-01-16 19:30 dbp Status new => feedback
2015-01-16 19:30 dbp Summary Visaulization - Eliminate all calls of glPushAttrib/glPopAttrib in TKOpenGl => Visualization - Eliminate all calls of glPushAttrib/glPopAttrib in TKOpenGl
2015-01-19 17:32 kgv Relationship added related to 0023484
2015-03-19 16:01 git Note Added: 0038692
2015-03-19 16:01 dbp Status feedback => resolved
2015-03-19 16:01 dbp Steps to Reproduce Updated View Revisions
2015-03-19 17:08 git Note Added: 0038699
2015-03-19 17:49 kgv Note Added: 0038700
2015-03-19 17:49 kgv Assigned To kgv => bugmaster
2015-03-19 17:49 kgv Status resolved => reviewed
2015-03-20 14:26 mkv Assigned To bugmaster => apv
2015-03-20 16:09 git Note Added: 0038750
2015-03-20 16:10 apv Note Added: 0038752
2015-03-23 12:44 git Note Added: 0038785
2015-03-23 15:37 apv Test case number => Not needed
2015-03-23 15:39 apv Note Added: 0038792
2015-03-23 15:39 apv Assigned To apv => bugmaster
2015-03-23 15:39 apv Status reviewed => tested
2015-03-23 18:49 git Note Added: 0038811
2015-03-24 12:45 git Note Added: 0038830
2015-03-24 20:30 git Note Added: 0038860
2015-03-27 17:42 apn Changeset attached => occt master b34efb62
2015-03-27 17:42 apn Assigned To bugmaster => apn
2015-03-27 17:42 apn Status tested => verified
2015-03-27 17:42 apn Resolution open => fixed
2015-04-09 09:39 git Note Added: 0039431
2015-04-09 09:48 git Note Added: 0039442
2015-04-09 09:48 git Note Added: 0039443
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:31 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker